let tableIns;
let tree;
let mallType = 0;
layui.use(['element', 'form', 'table', 'layer', 'laydate', 'tree', 'util'], function () {
    let table = layui.table;
    let form = layui.form;//select、单选、复选等依赖form
    //form自定义校验,使用在标签上lay-verify="phoneRequiredFalse"      非必填项验证：新增部分：(^$)|
    form.verify({
        positiveNumberRequiredTrue: [/^(([0-9]+[\.]?[0-9]+)|[1-9])$/, '只能填写正数'],//必填，且只能输入正数
        positiveWholeNumberRequiredTrue: [/^[+]{0,1}(\d+)$/, '只能填写正整数'],//必填，且只能输入正整数
    });
    let element = layui.element; //导航的hover效果、二级菜单等功能，需要依赖element模块
    let laydate = layui.laydate;
    tree = layui.tree;
    let height = document.documentElement.clientHeight * 0.8; //随便设置下，和操作表单大概一样
    //用户列表
    tableIns = table.render({
        elem: '#configTable'
        , url: ctx + "/sys/sysExcel/findAllExcelWorkPro"
        , method: 'POST'
        , response: {
            statusName: 'flag' //规定数据状态的字段名称，默认：code
            , statusCode: true //规定成功的状态码，默认：0
            , msgName: 'msg' //规定状态信息的字段名称，默认：msg
            , countName: 'records' //规定数据总数的字段名称，默认：count
            , dataName: 'rows' //规定数据列表的字段名称，默认：data
        }
        //响应后数据处理
        , parseData: function (res) { //res 即为原始返回的数据
            let data = res.data;
            // console.log(res);
            return {
                "flag": res.flag, //解析接口状态
                "msg": res.msg, //解析提示文本
                "records": data.records, //解析数据长度
                "rows": data.rows //解析数据列表
            };
        }
        , toolbar: '#configToolbar'
        , title: '道具列表'
        , cols: [[
            {field: 'id', title: 'ID'}
            , {field: 'professionalType', title: '工作类型'}
            , {field: 'parameter', title: '属性参数'}
            , {field: 'attribute', title: '属性值'}
            , {field: 'probability', title: '可获得道具概率'}
            , {field: 'levelItem', title: '层级获得道具'}
            , {field: 'levelPro', title: '层级道具概率'}
            , {field: 'transport', title: '运输格数'}
            , {field: 'exploration', title: '勘探层数'}
            , {field: 'enterPro', title: '进入下一层概率'}
            , {field: 'currency', title: '产出货币的概率（物品变成货币）'}
            , {field: 'note', title: '备注'}
            , {field: 'createTime', title: '创建时间', hide: true}
            , {field: 'updateTime', title: '更新时间', hide: true}
            , {fixed: 'right', title: '操作', width:120, toolbar: '#configTableBarDemo'}
        ]]
        , defaultToolbar: ['', 'exports', 'print']
        , page: true
        , height: height
        , cellMinWidth: 80
    });
    //工具栏事件
    table.on('toolbar(test)', function(obj){
        let data = obj.data;
        switch(obj.event){
            case 'addNewRow':
                $("#configForm")[0].reset();
                form.render();
                $("#tableId").css("display", "none");
                $("#tableTime").css("display", "none");

                $("#saveBtn").css("display", "none");
                $("#addBtn").css("display", "block");
                break;
        };
    });
    //监听行工具事件
    table.on('tool(test)', function (obj) {
        let data = obj.data;
        //编辑
        if (obj.event === 'edit') {
            $("#tableId").css("display", "block");
            $("#tableTime").css("display", "block");
            $("#saveBtn").css("display", "block");
            $("#addBtn").css("display", "none");
            $("#configForm").form(data);
            form.render();
        }else if(obj.event === 'del'){
            layer.confirm('真的删除行么?', function(index){
                $.post(ctx + "/sys/sysExcel/deleteExcelWorkPro", {id:data.id}, function (data) {
                    if (!data.flag) {
                        layer.msg(data.msg, {icon: 2, time: 2000}, function () {
                        });
                        return;
                    }
                    obj.del();
                    tableIns.reload();
                });
                layer.close(index);
            });
        }
    });

    //监听提交
    form.on('submit(configFilter)', function (data) {
        configSave(false);
    });
    form.on('submit(configAddFilter)', function (data) {
        configSave(true);
    });

    $("#saveBtn").css("display", "none");
    $("#addBtn").css("display", "none");
});

/**
 * 提交保存
 */
function configSave(isAddNew) {
    let configForm = $("#configForm").serializeObject();
    if (!configForm.id && !isAddNew) {
        layer.msg("选择编辑的数据", {icon: 2, time: 1000}, function () {
        });
        return;
    }
    let nowTime = commonUtil.getNowTime();
    configForm.updateTime = nowTime;
    $("input[name='updateTime']").val(nowTime);
    $.post(ctx + "/sys/sysExcel/saveExcelWorkPro", configForm, function (data) {
        if (!data.flag) {
            layer.msg(data.msg, {icon: 2, time: 2000}, function () {
            });
            return;
        }
        tableIns.reload();
    });
}




